# ChangeLog for dev-cpp/eigen
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/eigen/ChangeLog,v 1.74 2013/01/01 18:24:15 kensington Exp $

  01 Jan 2013; Michael Palimaka <kensington@gentoo.org> -eigen-2.0.16.ebuild,
  -eigen-3.0.5.ebuild, -files/eigen-3.0.2-latex.patch:
  Remove old.

  01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> eigen-2.0.17.ebuild:
  Stable for ia64/sparc, wrt to bug #436570

  31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> eigen-2.0.17.ebuild:
  Stable for alpha, wrt bug #436570

  31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> eigen-3.0.6.ebuild:
  Stable for alpha, wrt bug #436570

  30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> eigen-3.0.6.ebuild:
  Stable for sparc, wrt bug #436570

  23 Dec 2012; Markus Meier <maekke@gentoo.org> eigen-2.0.17.ebuild:
  add ~arm

  17 Dec 2012; Agostino Sarubbo <ago@gentoo.org> eigen-3.0.6.ebuild:
  Stable for ia64, wrt bug #436570

  16 Nov 2012; Johannes Huber <johu@gentoo.org> eigen-2.0.17.ebuild,
  eigen-3.0.6.ebuild:
  Stable for x86, wrt bug #436570

  03 Nov 2012; Anthony G. Basile <blueness@gentoo.org> eigen-3.0.6.ebuild:
  stable ppc64, bug #436570

  02 Nov 2012;  <ago@gentoo.org> eigen-3.0.6.ebuild:
  Stable for amd64, wrt bug #436570

  01 Nov 2012; Michael Palimaka <kensington@gentoo.org> eigen-3.0.6.ebuild:
  Correct dependencies for USE="doc", fixing bug #437978.

  17 Oct 2012; Jeroen Roovers <jer@gentoo.org> eigen-2.0.16.ebuild:
  Marked ~hppa (bug #436570).

  13 Oct 2012; Agostino Sarubbo <ago@gentoo.org> eigen-2.0.17.ebuild:
  Stable for amd64, wrt bug #436570

  11 Oct 2012; Anthony G. Basile <blueness@gentoo.org> eigen-2.0.17.ebuild:
  stable ppc64, bug #436570

  10 Oct 2012; Brent Baude <ranger@gentoo.org> eigen-2.0.17.ebuild,
  eigen-3.0.6.ebuild:
  Marking eigen-2.0.17 and eigen-3.0.6 ppc for bug 436570 

*eigen-3.0.6 (26 Jul 2012)

  26 Jul 2012; Michael Palimaka <kensington@gentoo.org> +eigen-3.0.6.ebuild,
  -eigen-3.0.2.ebuild:
  Version bump, remove old. Migrate to EAPI 4, drop useless debug use flag,
  build tests correctly. Fixes bug #427682.

*eigen-3.0.5 (08 Mar 2012)

  08 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> -eigen-3.0.0.ebuild,
  +eigen-3.0.5.ebuild:
  Version bump; remove old

  01 Feb 2012; Johannes Huber <johu@gentoo.org> -eigen-2.0.13.ebuild,
  -eigen-2.0.15.ebuild:
  Remove old.

  01 Feb 2012; Samuli Suominen <ssuominen@gentoo.org> eigen-2.0.16.ebuild:
  ppc/ppc64 stable wrt #398545

  22 Jan 2012; Raúl Porcel <armin76@gentoo.org> eigen-2.0.16.ebuild:
  alpha/ia64/sparc stable wrt #398545

  21 Jan 2012; Pawel Hajdan jr <phajdan.jr@gentoo.org> eigen-2.0.16.ebuild:
  x86 stable wrt bug #398545

  19 Jan 2012; Jeroen Roovers <jer@gentoo.org> eigen-2.0.16.ebuild:
  Stable for HPPA (bug #398545).

  11 Jan 2012; Justin Lecher <jlec@gentoo.org> eigen-2.0.16.ebuild:
  Mark stable for amd64, tested and aknowledge by agostino

*eigen-2.0.17 (11 Jan 2012)

  11 Jan 2012; Justin Lecher <jlec@gentoo.org> eigen-2.0.16.ebuild,
  +eigen-2.0.17.ebuild, metadata.xml:
  Version Bump, restrict to serial build, #391331

  30 Sep 2011; Andreas K. Huettel <dilfridge@gentoo.org> eigen-3.0.2.ebuild,
  +files/eigen-3.0.2-latex.patch:
  Fix LaTeX error in documentation, bug 383051

*eigen-3.0.2 (06 Sep 2011)

  06 Sep 2011; Andreas K. Huettel <dilfridge@gentoo.org> +eigen-3.0.2.ebuild:
  Version bump

*eigen-2.0.16 (03 Sep 2011)

  03 Sep 2011; Andreas K. Huettel <dilfridge@gentoo.org> +eigen-2.0.16.ebuild:
  Version bump with EAPI bump

  20 Jul 2011; Pacho Ramos <pacho@gentoo.org> metadata.xml:
  Drop maintainer due retirement, bug #70723

  04 May 2011; Tomáš Chvátal <scarabeus@gentoo.org>
  -files/eigen-ppc-define.patch:
  old

  17 Apr 2011; Justin Lecher <jlec@gentoo.org> eigen-3.0.0.ebuild,
  +files/eigen-3.0.0-gcc46.patch:
  Fix for gcc-4.6 changes, #362545

*eigen-3.0.0 (25 Mar 2011)

  25 Mar 2011; Justin Lecher <jlec@gentoo.org> eigen-2.0.13.ebuild,
  eigen-2.0.15.ebuild, +eigen-3.0.0.ebuild:
  Version Bump, Adapted to new tarball, #358761

  13 Feb 2011; Tomáš Chvátal <scarabeus@gentoo.org> -eigen-2.0.5.ebuild,
  -eigen-2.0.14.ebuild:
  old

  20 Oct 2010; Brent Baude <ranger@gentoo.org> eigen-2.0.13.ebuild:
  Marking eigen-2.0.13 ppc for bug 327581

*eigen-2.0.15 (03 Oct 2010)

  03 Oct 2010; Justin Lecher <jlec@gentoo.org> eigen-2.0.13.ebuild,
  eigen-2.0.14.ebuild, +eigen-2.0.15.ebuild:
  Version Bump, 339258

  27 Aug 2010; Raúl Porcel <armin76@gentoo.org> eigen-2.0.13.ebuild:
  alpha/ia64/sparc stable wrt #327581

  23 Jul 2010; Markus Meier <maekke@gentoo.org> eigen-2.0.13.ebuild:
  amd64 stable, bug #327581

  21 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> eigen-2.0.13.ebuild:
  ppc64 stable wrt #327581

  17 Jul 2010; Christian Faulhammer <fauli@gentoo.org> eigen-2.0.13.ebuild:
  stable x86, bug 327581

  14 Jul 2010; Jeroen Roovers <jer@gentoo.org> eigen-2.0.13.ebuild:
  Stable for HPPA (bug #327581).

*eigen-2.0.14 (09 Jul 2010)

  09 Jul 2010; Dror Levin <spatz@gentoo.org> -eigen-2.0.10.ebuild,
  +eigen-2.0.14.ebuild:
  Version bump, bug 327583. Drop old.

*eigen-2.0.13 (13 Jun 2010)

  13 Jun 2010; Dror Levin <spatz@gentoo.org> +eigen-2.0.13.ebuild:
  Version bump, bug 323855.

  20 Jan 2010; Jonathan Callen <abcd@gentoo.org> eigen-2.0.10.ebuild:
  Keyword ~amd64-linux/~x86-linux; move blocker out of DEPEND; utilize the
  fact that cmake caches -D arguments

  14 Jan 2010; Jeroen Roovers <jer@gentoo.org> eigen-2.0.5.ebuild:
  Stable for HPPA (bug #295884).

  28 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org> eigen-2.0.5.ebuild,
  eigen-2.0.10.ebuild:
  Reorder the deps to not rdepend on doxygen.

  28 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org> eigen-2.0.5.ebuild,
  eigen-2.0.10.ebuild:
  Doc useflag require doxygen. Per bug #298074.

  27 Dec 2009; Raúl Porcel <armin76@gentoo.org> eigen-2.0.5.ebuild:
  alpha/ia64/sparc stable

*eigen-2.0.10 (10 Dec 2009)

  10 Dec 2009; Dror Levin <spatz@gentoo.org> -eigen-2.0.9.ebuild,
  +eigen-2.0.10.ebuild:
  Version bump and remove old, bug 296461.

  10 Dec 2009; Jonathan Callen <abcd@gentoo.org> eigen-2.0.5.ebuild,
  eigen-2.0.9.ebuild:
  Convert mycmakeargs to an array (required due to usage in src_test)

  05 Dec 2009; Jonathan Callen <abcd@gentoo.org> -eigen-2.0.4.ebuild,
  -eigen-2.0.4-r1.ebuild, -files/eigen-2.0.4-gcc-4-1.patch,
  -files/eigen-2.0.4-qt-test.patch, -eigen-2.0.6.ebuild:
  Drop old ebuilds, patches

  30 Nov 2009; Joseph Jezak <josejx@gentoo.org> Manifest:
  Marked ppc/ppc64 stable.

  29 Nov 2009; Raúl Porcel <armin76@gentoo.org> eigen-2.0.9.ebuild:
  Add ~sparc

*eigen-2.0.9 (01 Nov 2009)

  01 Nov 2009; Dror Levin <spatz@gentoo.org> +eigen-2.0.9.ebuild:
  Version bump.

  17 Oct 2009; Markus Meier <maekke@gentoo.org> eigen-2.0.5.ebuild:
  x86 stable, bug #287955

  09 Oct 2009; Samuli Suominen <ssuominen@gentoo.org> eigen-2.0.5.ebuild:
  amd64 stable wrt #287955

*eigen-2.0.6 (26 Sep 2009)

  26 Sep 2009; Patrick Lauer <patrick@gentoo.org> +eigen-2.0.6.ebuild:
  Bump to 2.0.6, fixes #286462

  22 Aug 2009; Marcus D. Hanwell <cryos@gentoo.org> -eigen-2.0.2.ebuild,
  -eigen-2.0.3.ebuild:
  Pruned old versions.

*eigen-2.0.5 (22 Aug 2009)

  22 Aug 2009; Marcus D. Hanwell <cryos@gentoo.org> +eigen-2.0.5.ebuild:
  Version bump.

  21 Aug 2009; Marcus D. Hanwell <cryos@gentoo.org>
  files/eigen-2.0.4-qt-test.patch:
  This should really fix bug 279824, all tests passed here.

*eigen-2.0.4-r1 (21 Aug 2009)

  21 Aug 2009; Marcus D. Hanwell <cryos@gentoo.org> +eigen-2.0.4-r1.ebuild,
  +files/eigen-2.0.4-gcc-4-1.patch:
  Patch applied by Benoit Jacob upstream, fixes compilation issue with GCC
  4.1. Closes bug 280588.

*eigen-2.0.4 (01 Aug 2009)

  01 Aug 2009; Marcus D. Hanwell <cryos@gentoo.org> +eigen-2.0.4.ebuild,
  +files/eigen-2.0.4-qt-test.patch:
  Version bump, disabled fortran in testing for now - bug 279824.

*eigen-2.0.3 (30 Jul 2009)

  30 Jul 2009; Tomáš Chvátal <scarabeus@gentoo.org> +eigen-2.0.3.ebuild,
  +files/eigen-ppc-define.patch:
  Version bump.

  04 Jun 2009; Tomas Chvatal <scarabeus@gentoo.org> -eigen-1.0.5.ebuild:
  Drop old 1.0 series eigen. By rdep scans not needed anywhere.

*eigen-2.0.2 (04 Jun 2009)

  04 Jun 2009; Tomas Chvatal <scarabeus@gentoo.org> eigen-1.0.5.ebuild,
  -eigen-2.0.0.ebuild, -eigen-2.0.1.ebuild, +eigen-2.0.2.ebuild:
  Version bump. Remove old. Fix repoman warning. Per bug #272491.

  18 Apr 2009; Jeroen Roovers <jer@gentoo.org> eigen-2.0.1:
  Marked ~hppa (bug #260777).

*eigen-2.0.1 (14 Apr 2009)

  14 Apr 2009; Tomas Chvatal <scarabeus@gentoo.org> +eigen-2.0.1.ebuild:
  Version bump.

  11 Apr 2009; Raúl Porcel <armin76@gentoo.org> eigen-2.0.0.ebuild:
  Add ~alpha/~ia64 wrt #260777

  09 Mar 2009; Brent Baude <ranger@gentoo.org> eigen-2.0.0.ebuild:
  Marking eigen-2 ~ppc and ~ppc64 for bug 261754

*eigen-2.0.0 (17 Feb 2009)

  17 Feb 2009; Tomas Chvatal <scarabeus@gentoo.org> metadata.xml,
  +eigen-2.0.0.ebuild:
  Version bump. Add kde to maintainers, since we will use it for koffice2
  and other kde packages in future.

  02 Nov 2008; Mike Frysinger <vapier@gentoo.org> eigen-1.0.5.ebuild:
  Add ppc/ppc64 love for KDE 4.

  27 Jun 2007; Christian Faulhammer <opfer@gentoo.org> eigen-1.0.5.ebuild:
  keyworded ~x86, bug 182985

  23 Jun 2007; Marcus D. Hanwell <cryos@gentoo.org> eigen-1.0.5.ebuild:
  Marked stable on amd64.

*eigen-1.0.5 (15 May 2007)

  15 May 2007; Marcus D. Hanwell <cryos@gentoo.org> +metadata.xml,
  +eigen-1.0.5.ebuild:
  Initial import.
